How can I install Leopard on a G3 iBook?

Discussion in 'PowerPC Macs' started by ozziegn, Dec 13, 2008.

  1. ozziegn macrumors 6502a

    ozziegn

    Joined:
    Aug 16, 2007
    Location:
    Central FL Area
    #1
    Okay, here's what's up. My friend just bought a pretty clean G3 iBook that currently is running Tiger. he wants to hook up his iPhone to his laptop, but iTunes wants him to have Leopard in order for it to see his 3G iPhone.

    so my friend downloaded the Leopard update but when he tried to run the update, the laptop gave him some sort of error that says, "installer package cannot be used ......................"

    can anyone throw me a lifeline or two as to what the problem is? he really wants to run Leopard but so far he isn't having any luck.
     
  2. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #2
    It's a G3. That's the problem. It won't work. Downloading a "Leopard update" won't upgrade your OS, anyway. That's just for Leopard users.

    You don't need Leopard for the iPhone, anyway.
     
  3. iMpathetic macrumors 68030

    iMpathetic

    Joined:
    Oct 7, 2007
    Location:
    IMBY
    #3
    Even if it could somehow get onto the iBook, that'd be a REALLY bad idea.

    Can you say 'glacier'?
     
  4. ozziegn thread starter macrumors 6502a

    ozziegn

    Joined:
    Aug 16, 2007
    Location:
    Central FL Area
    #4
    my friend told me that iTunes wanted him to upgrade to a newer version before it would see the 3G iPhone.
     
  5. ebika macrumors 6502

    Joined:
    Nov 17, 2008
    #5
    He probably meant that it wants a newer version of iTunes.
     
  6. Eidorian macrumors Penryn

    Eidorian

    Joined:
    Mar 23, 2005
    Location:
    Indianapolis
    #6
    You at least need a G4 to install Leopard. iTunes should update just fine in 10.4.11.
     

Share This Page